/**BEGIN  **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_ANALYSISCANVAS_DS' AND KSQL_COL_NAME IN ('FBSEQ')) 
ALTER TABLE T_EB_ANALYSISCANVAS_DS ADD (FBSEQ BIGINT DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_ANALYSISCANVAS_DS' AND KSQL_COL_NAME IN ('FBOXID')) 
ALTER TABLE T_EB_ANALYSISCANVAS_DS ADD (FBOXID BIGINT DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ANADS_DATASET')
CREATE INDEX IDX_ANADS_DATASET ON T_EB_ANALYSISCANVAS_DS ( FDATASET );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ANADS_BOX')
CREATE INDEX IDX_ANADS_BOX ON T_EB_ANALYSISCANVAS_DS ( FBOXID );

/**END **/

